{
  "format_version": "1.19.0",
  "animation_controllers": {
    "controller.animation.pr_corbinites.general": {
      "states": {
        "default": {
          "animations": [
            {
              "swim": "query.is_in_water && !query.is_playing_dead"
            },
            {
              "setup": "query.is_in_water"
            },
            {
              "flop": "query.is_on_ground && !query.is_in_water"
            },
            {
              "protect": "query.is_playing_dead"
            }
          ]
        }
      }
    }
  }
}